C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.ConnectionProfiles.GetTemplateAsync(
"id"
);
}
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.connectionProfiles().getTemplate("id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->connectionProfiles->getTemplate(
'id',
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.connection_profiles.get_template(
id="id",
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.connection_profiles.get_template(id: "id")curl --request GET \
--url https://{tenantDomain}/api/v2/connection-profiles/templates/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v2/connection-profiles/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v2/connection-profiles/templates/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"display_name": "<string>",
"template": {
"name": "<string>",
"organization": {},
"connection_name_prefix_template": "<string>",
"enabled_features": [],
"connection_config": {},
"strategy_overrides": {
"pingfederate": {
"enabled_features": [],
"connection_config": {}
},
"ad": {
"enabled_features": [],
"connection_config": {}
},
"adfs": {
"enabled_features": [],
"connection_config": {}
},
"waad": {
"enabled_features": [],
"connection_config": {}
},
"google-apps": {
"enabled_features": [],
"connection_config": {}
},
"okta": {
"enabled_features": [],
"connection_config": {}
},
"oidc": {
"enabled_features": [],
"connection_config": {}
},
"samlp": {
"enabled_features": [],
"connection_config": {}
}
}
}
}Get Connection Profile Template
Retrieve a Connection Profile Template.
GET
https://{tenantDomain}/api/v2
/
connection-profiles
/
templates
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.ConnectionProfiles.GetTemplateAsync(
"id"
);
}
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.connectionProfiles().getTemplate("id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->connectionProfiles->getTemplate(
'id',
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.connection_profiles.get_template(
id="id",
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.connection_profiles.get_template(id: "id")curl --request GET \
--url https://{tenantDomain}/api/v2/connection-profiles/templates/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v2/connection-profiles/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v2/connection-profiles/templates/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"display_name": "<string>",
"template": {
"name": "<string>",
"organization": {},
"connection_name_prefix_template": "<string>",
"enabled_features": [],
"connection_config": {},
"strategy_overrides": {
"pingfederate": {
"enabled_features": [],
"connection_config": {}
},
"ad": {
"enabled_features": [],
"connection_config": {}
},
"adfs": {
"enabled_features": [],
"connection_config": {}
},
"waad": {
"enabled_features": [],
"connection_config": {}
},
"google-apps": {
"enabled_features": [],
"connection_config": {}
},
"okta": {
"enabled_features": [],
"connection_config": {}
},
"oidc": {
"enabled_features": [],
"connection_config": {}
},
"samlp": {
"enabled_features": [],
"connection_config": {}
}
}
}
}Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the connection-profile-template to retrieve.
Response
Connection Profile Template successfully retrieved.
Was this page helpful?
⌘I